<template>
  <header class="masthead text-center text-white d-flex">
    <div class="container my-auto">
      <div class="header-image mb-3">
        <b-img src="~/assets/logo-USP.png"/>
      </div>
      <div class="row">
        <div class="col-lg-8 mx-auto">
          <h3 class="mb-5"> Gerenciamento de equipamentos multi-usuário da Universidade de São Paulo</h3>
        </div>
        <div class="col-lg-6 mx-auto">
          <b-button class="action-button mb-3" size="lg" to="/busca"> Buscar um Equipamento</b-button>
          <h5> Localize equipamentos e instrumentos pertencentes à Universidade de São Paulo que podem potencializar seu desenvolvimento acadêmico e científico. </h5>
        </div>
        <div class="col-lg-6 mx-auto">
          <b-button class="action-button mb-3" size="lg" to="/cadastro/equipamento"> Registe um Equipamento</b-button>
          <h5> Se você for Presidente ou membro do comitê gestor de uma Central, você pode registrar novos equipamentos no sistema. </h5>
        </div>
      </div>
    </div>
  </header>
</template>

<script>
export default {
  name: "TheHeader"
};
</script>

<style>
.action-button {
  background-color: #ecbb5b;
  border-color: transparent;
  border-radius: 3rem;
}

.action-button:hover {
  background-color: #2e808e;
}

header.masthead {
  padding-top: 10rem;
  padding-bottom: calc(10rem - 56px);
  background-image: url("../assets/USP_80_relogio_filtro.jpg");
  background-position: center center;
  background-size: cover;
}

header.masthead hr {
  margin-top: 30px;
  margin-bottom: 30px;
}

header.masthead h1 {
  font-size: 2rem;
}

header.masthead p {
  font-weight: 300;
}

@media (min-width: 768px) {
  header.masthead p {
    font-size: 1.15rem;
  }
}

@media (min-width: 992px) {
  header.masthead {
    height: 100vh;
    min-height: 650px;
    padding-top: 0;
    padding-bottom: 0;
  }
  header.masthead h1 {
    font-size: 3rem;
  }
}

@media (min-width: 1200px) {
  header.masthead h1 {
    font-size: 4rem;
  }
}
</style>
